=== debian/changelog ===
ros-noetic-ecl-eigen (0.62.3-1buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 29 Jul 2020 00:25:51 -0000

ros-noetic-ecl-eigen (0.61.16-1buster) buster; urgency=high

  * find Eigen3 instead of Eigen (that is deprecating)

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 13 Jan 2017 05:00:00 -0000

ros-noetic-ecl-eigen (0.61.0-1buster) buster; urgency=high

  * internal eigen support for v3.2.1
  * bugfix missing unsupported modules in the install space.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 12 Sep 2014 04:00:00 -0000

ros-noetic-ecl-eigen (0.60.9-1buster) buster; urgency=high

  * transfer eigen hunting to ros cmake modules

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 09 Apr 2014 04:00:00 -0000

ros-noetic-ecl-eigen (0.60.7-1buster) buster; urgency=high

  * export devel prefix include path to ensure configured headers are found.
  * export local header directory.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 03 Feb 2014 05:00:00 -0000
