=== debian/control ===
Source: ros-noetic-ecl-eigen
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-ecl-license
Homepage: http://wiki.ros.org/ecl_eigen
Standards-Version: 3.9.2

Package: ros-noetic-ecl-eigen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-noetic-ecl-license
Description: This provides an Eigen implementation for ecl's linear algebra.
